Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.stream
Interface NamespaceContext

    public interface NamespaceContext

This interface represents the XML namespace context stack while parsing.

Version:
  4.0, September 12, 2006
Author:
  Jean-Marie Dautelle

Method Summary
`CharArray` | `getNamespaceURI(java.lang.CharSequence prefix)` Returns the namespace URI bound to a prefix in the current scope or `null` if the prefix is unbound.
`CharArray` | `getPrefix(java.lang.CharSequence namespaceURI)` Returns the prefix bound to the namespace URI in the current scope or `null` if the namespace URI is unbound.
`java.util.Iterator` | `getPrefixes(java.lang.CharSequence namespaceURI)` Returns all prefixes bound to a namespace URI in the current scope (including predefined prefixes).

Method Detail

### getNamespaceURI

    CharArray getNamespaceURI(java.lang.CharSequence prefix)

  Returns the namespace URI bound to a prefix in the current scope or `null` if the prefix is unbound.

  Parameters:
    `prefix` - prefix to look up
  Returns:
    the namespace URI.
  Throws:
    `java.lang.IllegalArgumentException` - if `prefix` is `null`

### getPrefix

    CharArray getPrefix(java.lang.CharSequence namespaceURI)

  Returns the prefix bound to the namespace URI in the current scope or `null` if the namespace URI is unbound.

  Parameters:
    `namespaceURI` - URI of the namespace to lookup.
  Returns:
    the prefix bound to the namespace URI.
  Throws:
    `java.lang.IllegalArgumentException` - if `namespaceURI` is `null`

### getPrefixes

    java.util.Iterator getPrefixes(java.lang.CharSequence namespaceURI)

  Returns all prefixes bound to a namespace URI in the current scope (including predefined prefixes).

  Parameters:
    `namespaceURI` - URI of Namespace to lookup
  Returns:
    an `Iterator` over `CharArray` prefixes.
  Throws:
    `java.lang.IllegalArgumentException` - if `namespaceURI` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.